package com.fkzy.warn.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fkzy.warn.common.request.RequestParameter;
import com.fkzy.warn.model.AuditRecords;
import com.fkzy.warn.model.vo.UserVO;

import java.util.List;

/**
 * @author zhangjing
 * @date 2023/10/16 18:17
 * @description
 */
public interface AuditRecordsService extends IService<AuditRecords> {

    /**
     * 保存
     * @param entity
     * @return
     */
    void saveModel(AuditRecords entity,String ticket);

    /**
     * 修改
     * @param entity
     * @return
     */
    void updateModel(AuditRecords entity,String ticket);

    /**
     * 删除
     * @param
     * @return
     */
    void deleteModel(List<String> ids);

    /**
     * 获取当前审核状态
     * @param
     * @return
     */
    AuditRecords getNowRecord(Integer businessId);
    /**
     * 分页查询
     * @param parameter
     * @return
     */
    Page<UserVO> queryPage(RequestParameter parameter);


    /**
     * 分页查询
     * @param
     * @return
     */
    List<AuditRecords> record(Integer businessId);
}
